<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.14"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>iipsrv: Compressor.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(initResizable);
/* @license-end */</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="iip.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">iipsrv
   &#160;<span id="projectnumber">1.1</span>
   </div>
   <div id="projectbrief">iipsrv is an advanced high-performance feature-rich image server for web-based streamed viewing and zooming of ultra high-resolution images</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.14 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('Compressor_8h_source.html','');});
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">Compressor.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*  Generic compressor class - extended by JPEG and PNG Compressor classes</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"></span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">    Copyright (C) 2017-2018 Ruven Pillay</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"></span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">    This program is free software; you can redistribute it and/or modify</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">    it under the terms of the GNU General Public License as published by</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">    the Free Software Foundation; either version 3 of the License, or</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment">    (at your option) any later version.</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"></span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment">    This program is distributed in the hope that it will be useful,</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment">    but WITHOUT ANY WARRANTY; without even the implied warranty of</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment">    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment">    GNU General Public License for more details.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"></span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment">    You should have received a copy of the GNU General Public License</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment">    along with this program; if not, write to the Free Software Foundation,</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment">    Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment">*/</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#ifndef _COMPRESSOR_H</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#define _COMPRESSOR_H</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">#include &quot;RawTile.h&quot;</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div><div class="line"><a name="l00032"></a><span class="lineno"><a class="line" href="classCompressor.html">   32</a></span>&#160;<span class="keyword">class </span><a class="code" href="classCompressor.html">Compressor</a> {</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160; <span class="keyword">protected</span>:</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;</div><div class="line"><a name="l00037"></a><span class="lineno"><a class="line" href="classCompressor.html#a7a48db7e754ff8335485941f704a40a3">   37</a></span>&#160;  <span class="keywordtype">int</span> <a class="code" href="classCompressor.html#a7a48db7e754ff8335485941f704a40a3">Q</a>;</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div><div class="line"><a name="l00040"></a><span class="lineno"><a class="line" href="classCompressor.html#a788d5559f4276c1498cf9bcdca2d42cb">   40</a></span>&#160;  std::string <a class="code" href="classCompressor.html#a788d5559f4276c1498cf9bcdca2d42cb">icc</a>;</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;</div><div class="line"><a name="l00043"></a><span class="lineno"><a class="line" href="classCompressor.html#a45698fa97911f4ecfe030c077c139c2b">   43</a></span>&#160;  std::string <a class="code" href="classCompressor.html#a45698fa97911f4ecfe030c077c139c2b">xmp</a>;</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;</div><div class="line"><a name="l00046"></a><span class="lineno"><a class="line" href="classCompressor.html#a59d252c2c1499e02ca9f0ff0be144b23">   46</a></span>&#160;  <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classCompressor.html#a59d252c2c1499e02ca9f0ff0be144b23">writeICCProfile</a>() {};</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;</div><div class="line"><a name="l00049"></a><span class="lineno"><a class="line" href="classCompressor.html#a61e5fb15b9b5838a79fe22a5a2430a58">   49</a></span>&#160;  <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classCompressor.html#a61e5fb15b9b5838a79fe22a5a2430a58">writeXMPMetadata</a>() {};</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160; <span class="keyword">public</span>:</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;  <span class="keyword">virtual</span> ~<a class="code" href="classCompressor.html">Compressor</a>() {};</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;</div><div class="line"><a name="l00058"></a><span class="lineno"><a class="line" href="classCompressor.html#a70078e753e103bd4a642118d7412dd79">   58</a></span>&#160;  <span class="keyword">inline</span> <span class="keywordtype">int</span> <a class="code" href="classCompressor.html#a70078e753e103bd4a642118d7412dd79">getQuality</a>() { <span class="keywordflow">return</span> <a class="code" href="classCompressor.html#a7a48db7e754ff8335485941f704a40a3">Q</a>; }</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div><div class="line"><a name="l00063"></a><span class="lineno"><a class="line" href="classCompressor.html#af23c55b06260b6dd14b288bedf409b3b">   63</a></span>&#160;  <span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classCompressor.html#af23c55b06260b6dd14b288bedf409b3b">setICCProfile</a>( <span class="keyword">const</span> std::string&amp; profile ){ <a class="code" href="classCompressor.html#a788d5559f4276c1498cf9bcdca2d42cb">icc</a> = profile; }</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;</div><div class="line"><a name="l00068"></a><span class="lineno"><a class="line" href="classCompressor.html#afc78f825498b3a33380ef251d6a60f87">   68</a></span>&#160;  <span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classCompressor.html#afc78f825498b3a33380ef251d6a60f87">setXMPMetadata</a>( <span class="keyword">const</span> std::string&amp; x ){ <a class="code" href="classCompressor.html#a45698fa97911f4ecfe030c077c139c2b">xmp</a> = x; }</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;</div><div class="line"><a name="l00073"></a><span class="lineno"><a class="line" href="classCompressor.html#aeb0d63187b16a4de4ec27ea59295b1e5">   73</a></span>&#160;  <span class="keyword">virtual</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classCompressor.html#aeb0d63187b16a4de4ec27ea59295b1e5">getHeaderSize</a>() { <span class="keywordflow">return</span> 0; };</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;</div><div class="line"><a name="l00078"></a><span class="lineno"><a class="line" href="classCompressor.html#a94e14df8f3dfe7968a9b77dabb4e2c45">   78</a></span>&#160;  <span class="keyword">virtual</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">char</span>* <a class="code" href="classCompressor.html#a94e14df8f3dfe7968a9b77dabb4e2c45">getHeader</a>() { <span class="keywordflow">return</span> NULL; };</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;</div><div class="line"><a name="l00088"></a><span class="lineno"><a class="line" href="classCompressor.html#ad83402c75cd8f85c9263c1e990ae1e5f">   88</a></span>&#160;  <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classCompressor.html#ad83402c75cd8f85c9263c1e990ae1e5f">InitCompression</a>( <span class="keyword">const</span> <a class="code" href="classRawTile.html">RawTile</a>&amp; rawtile, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> strip_height ) {};</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;</div><div class="line"><a name="l00097"></a><span class="lineno"><a class="line" href="classCompressor.html#a24549398c73442cf45b81e5cdeaf27c0">   97</a></span>&#160;  <span class="keyword">virtual</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classCompressor.html#a24549398c73442cf45b81e5cdeaf27c0">CompressStrip</a>( <span class="keywordtype">unsigned</span> <span class="keywordtype">char</span>* s, <span class="keywordtype">unsigned</span> <span class="keywordtype">char</span>* o, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> tile_height ) { <span class="keywordflow">return</span> 0; };</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;</div><div class="line"><a name="l00104"></a><span class="lineno"><a class="line" href="classCompressor.html#a7a98fff52328aeea262452ee8949691d">  104</a></span>&#160;  <span class="keyword">virtual</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classCompressor.html#a7a98fff52328aeea262452ee8949691d">Finish</a>( <span class="keywordtype">unsigned</span> <span class="keywordtype">char</span>* output ) { <span class="keywordflow">return</span> 0; };</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;</div><div class="line"><a name="l00111"></a><span class="lineno"><a class="line" href="classCompressor.html#af57b26b9e84ee92afa663324f464c3e0">  111</a></span>&#160;  <span class="keyword">virtual</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classCompressor.html#af57b26b9e84ee92afa663324f464c3e0">Compress</a>( <a class="code" href="classRawTile.html">RawTile</a>&amp; t ) { <span class="keywordflow">return</span> 0; };</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;</div><div class="line"><a name="l00116"></a><span class="lineno"><a class="line" href="classCompressor.html#af62307978b22d731e345eff148cab268">  116</a></span>&#160;  <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classCompressor.html#af62307978b22d731e345eff148cab268">addXMPMetadata</a>( <span class="keyword">const</span> std::string&amp; m ) {};</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;</div><div class="line"><a name="l00121"></a><span class="lineno"><a class="line" href="classCompressor.html#ade8725e65b19b79f3e481d519664b683">  121</a></span>&#160;  <span class="keyword">virtual</span> <span class="keyword">const</span> <span class="keywordtype">char</span>* <a class="code" href="classCompressor.html#ade8725e65b19b79f3e481d519664b683">getMimeType</a>() { <span class="keywordflow">return</span> <span class="stringliteral">&quot;image/example&quot;</span>; };</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;</div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;</div><div class="line"><a name="l00126"></a><span class="lineno"><a class="line" href="classCompressor.html#aac704b00452d217cfbc5fb02a52505e1">  126</a></span>&#160;  <span class="keyword">virtual</span> <span class="keyword">const</span> <span class="keywordtype">char</span>* <a class="code" href="classCompressor.html#aac704b00452d217cfbc5fb02a52505e1">getSuffix</a>() { <span class="keywordflow">return</span> <span class="stringliteral">&quot;img&quot;</span>; };</div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;</div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;};</div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="classCompressor_html_a59d252c2c1499e02ca9f0ff0be144b23"><div class="ttname"><a href="classCompressor.html#a59d252c2c1499e02ca9f0ff0be144b23">Compressor::writeICCProfile</a></div><div class="ttdeci">virtual void writeICCProfile()</div><div class="ttdoc">Write ICC profile. </div><div class="ttdef"><b>Definition:</b> Compressor.h:46</div></div>
<div class="ttc" id="classCompressor_html_a788d5559f4276c1498cf9bcdca2d42cb"><div class="ttname"><a href="classCompressor.html#a788d5559f4276c1498cf9bcdca2d42cb">Compressor::icc</a></div><div class="ttdeci">std::string icc</div><div class="ttdoc">ICC Profile. </div><div class="ttdef"><b>Definition:</b> Compressor.h:40</div></div>
<div class="ttc" id="classCompressor_html_a24549398c73442cf45b81e5cdeaf27c0"><div class="ttname"><a href="classCompressor.html#a24549398c73442cf45b81e5cdeaf27c0">Compressor::CompressStrip</a></div><div class="ttdeci">virtual unsigned int CompressStrip(unsigned char *s, unsigned char *o, unsigned int tile_height)</div><div class="ttdoc">Compress a strip of image data. </div><div class="ttdef"><b>Definition:</b> Compressor.h:97</div></div>
<div class="ttc" id="classCompressor_html_ade8725e65b19b79f3e481d519664b683"><div class="ttname"><a href="classCompressor.html#ade8725e65b19b79f3e481d519664b683">Compressor::getMimeType</a></div><div class="ttdeci">virtual const char * getMimeType()</div><div class="ttdoc">Get mime type. </div><div class="ttdef"><b>Definition:</b> Compressor.h:121</div></div>
<div class="ttc" id="classCompressor_html_a45698fa97911f4ecfe030c077c139c2b"><div class="ttname"><a href="classCompressor.html#a45698fa97911f4ecfe030c077c139c2b">Compressor::xmp</a></div><div class="ttdeci">std::string xmp</div><div class="ttdoc">XMP metadata. </div><div class="ttdef"><b>Definition:</b> Compressor.h:43</div></div>
<div class="ttc" id="classCompressor_html_a7a48db7e754ff8335485941f704a40a3"><div class="ttname"><a href="classCompressor.html#a7a48db7e754ff8335485941f704a40a3">Compressor::Q</a></div><div class="ttdeci">int Q</div><div class="ttdoc">Quality level. </div><div class="ttdef"><b>Definition:</b> Compressor.h:37</div></div>
<div class="ttc" id="classCompressor_html"><div class="ttname"><a href="classCompressor.html">Compressor</a></div><div class="ttdoc">Base class for IIP output images. </div><div class="ttdef"><b>Definition:</b> Compressor.h:32</div></div>
<div class="ttc" id="classCompressor_html_ad83402c75cd8f85c9263c1e990ae1e5f"><div class="ttname"><a href="classCompressor.html#ad83402c75cd8f85c9263c1e990ae1e5f">Compressor::InitCompression</a></div><div class="ttdeci">virtual void InitCompression(const RawTile &amp;rawtile, unsigned int strip_height)</div><div class="ttdoc">Initialise strip based compression. </div><div class="ttdef"><b>Definition:</b> Compressor.h:88</div></div>
<div class="ttc" id="classCompressor_html_aac704b00452d217cfbc5fb02a52505e1"><div class="ttname"><a href="classCompressor.html#aac704b00452d217cfbc5fb02a52505e1">Compressor::getSuffix</a></div><div class="ttdeci">virtual const char * getSuffix()</div><div class="ttdoc">Get file suffix. </div><div class="ttdef"><b>Definition:</b> Compressor.h:126</div></div>
<div class="ttc" id="classCompressor_html_af62307978b22d731e345eff148cab268"><div class="ttname"><a href="classCompressor.html#af62307978b22d731e345eff148cab268">Compressor::addXMPMetadata</a></div><div class="ttdeci">virtual void addXMPMetadata(const std::string &amp;m)</div><div class="ttdoc">Add metadata to the image header. </div><div class="ttdef"><b>Definition:</b> Compressor.h:116</div></div>
<div class="ttc" id="classCompressor_html_af23c55b06260b6dd14b288bedf409b3b"><div class="ttname"><a href="classCompressor.html#af23c55b06260b6dd14b288bedf409b3b">Compressor::setICCProfile</a></div><div class="ttdeci">void setICCProfile(const std::string &amp;profile)</div><div class="ttdoc">Set the ICC profile. </div><div class="ttdef"><b>Definition:</b> Compressor.h:63</div></div>
<div class="ttc" id="classCompressor_html_afc78f825498b3a33380ef251d6a60f87"><div class="ttname"><a href="classCompressor.html#afc78f825498b3a33380ef251d6a60f87">Compressor::setXMPMetadata</a></div><div class="ttdeci">void setXMPMetadata(const std::string &amp;x)</div><div class="ttdoc">Set XMP metadata. </div><div class="ttdef"><b>Definition:</b> Compressor.h:68</div></div>
<div class="ttc" id="classCompressor_html_a61e5fb15b9b5838a79fe22a5a2430a58"><div class="ttname"><a href="classCompressor.html#a61e5fb15b9b5838a79fe22a5a2430a58">Compressor::writeXMPMetadata</a></div><div class="ttdeci">virtual void writeXMPMetadata()</div><div class="ttdoc">Write XMP metadata. </div><div class="ttdef"><b>Definition:</b> Compressor.h:49</div></div>
<div class="ttc" id="classCompressor_html_a94e14df8f3dfe7968a9b77dabb4e2c45"><div class="ttname"><a href="classCompressor.html#a94e14df8f3dfe7968a9b77dabb4e2c45">Compressor::getHeader</a></div><div class="ttdeci">virtual unsigned char * getHeader()</div><div class="ttdoc">Return a pointer to the image header itself. </div><div class="ttdef"><b>Definition:</b> Compressor.h:78</div></div>
<div class="ttc" id="classCompressor_html_a7a98fff52328aeea262452ee8949691d"><div class="ttname"><a href="classCompressor.html#a7a98fff52328aeea262452ee8949691d">Compressor::Finish</a></div><div class="ttdeci">virtual unsigned int Finish(unsigned char *output)</div><div class="ttdoc">Finish the strip based compression and free memory. </div><div class="ttdef"><b>Definition:</b> Compressor.h:104</div></div>
<div class="ttc" id="classCompressor_html_af57b26b9e84ee92afa663324f464c3e0"><div class="ttname"><a href="classCompressor.html#af57b26b9e84ee92afa663324f464c3e0">Compressor::Compress</a></div><div class="ttdeci">virtual unsigned int Compress(RawTile &amp;t)</div><div class="ttdoc">Compress an entire buffer of image data at once in one command. </div><div class="ttdef"><b>Definition:</b> Compressor.h:111</div></div>
<div class="ttc" id="classRawTile_html"><div class="ttname"><a href="classRawTile.html">RawTile</a></div><div class="ttdoc">Class to represent a single image tile. </div><div class="ttdef"><b>Definition:</b> RawTile.h:45</div></div>
<div class="ttc" id="classCompressor_html_a70078e753e103bd4a642118d7412dd79"><div class="ttname"><a href="classCompressor.html#a70078e753e103bd4a642118d7412dd79">Compressor::getQuality</a></div><div class="ttdeci">int getQuality()</div><div class="ttdoc">Get the current quality level. </div><div class="ttdef"><b>Definition:</b> Compressor.h:58</div></div>
<div class="ttc" id="classCompressor_html_aeb0d63187b16a4de4ec27ea59295b1e5"><div class="ttname"><a href="classCompressor.html#aeb0d63187b16a4de4ec27ea59295b1e5">Compressor::getHeaderSize</a></div><div class="ttdeci">virtual unsigned int getHeaderSize()</div><div class="ttdoc">Return the image header size. </div><div class="ttdef"><b>Definition:</b> Compressor.h:73</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><b>Compressor.h</b></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.14 </li>
  </ul>
</div>
</body>
</html>
